Rilasciati Compiz 0.4 e 0.5, verso nuovi orizzonti

Poche ore fa David Reveman ha finalmente rilasciato la nuova versione stabile di Compiz, la 0.4, a distanza di parecchi mesi dalla precedente (0.2.2) che cominciava ad essere veramente vecchia rispetto al codice attualmente in sviluppo.

compiz-proportions.png

Contestualmente è stata annunciata anche la nuova versione instabile, la 0.5, che sarà quella in cui in futuro cominceranno ad essere tangibili i cambiamenti arrecati dal recente allargamento della comunità e del team di sviluppo.


Per avere il changelog e controllare le nuove caratteristiche basta leggere i comunicati per Compiz stabile 0.4 e Compiz instabile 0.5, che mostrano una selezione di aspetti più importanti. Tra le novità più interessanti devo ancora verificare quali si trovano esclusivamente nella nuova versione instabile:

  • Una migliorata compatibilità con Metacity/GNOME soprattutto i dettagli che rendono Compiz veramente usabile, come il supporto all’ordine dei pulsanti delle finestre ricavato direttamente dalla configurazione di Metacity.
  • Il supporto alla massimizzazione verticale e orizzonale.
  • Il supporto al posizionamento delle finestre personalizzato.
  • Il supporto a kwin/KDE (via kde-window-decorator), come dimostrato nella mia guida “Ubuntu Feisty + KDE + Compiz
  • Il supporto al multi-head
  • Il plugin blur per sfocare le finestre in tanti modi più o meno inutili.
  • Il supporto all’uscita video (parziale) che permette di riprodurre video senza sovraccaricare il sistema.
  • Il supporto alla configurazione su semplici file di testo.
  • …e molto altro :)

Notare che entrambe le versioni erano già disponibili in maniera ufficiosa da un paio di giorni, come segnalato in un paio di commenti a precedenti post. Beh che dire, ottimi rilasci, adesso aspettiamo di vedere continuare il progresso nella roadmap, finora i punti sono stati quasi tutti rispettati ;)

Go Compiz!

57 pensieri su “Rilasciati Compiz 0.4 e 0.5, verso nuovi orizzonti

  1. Scusate, si sa per caso se nella versione 0,5 sarà implementata qualche cosa di simile ad Emerald?

  2. @ cimi
    Purtroppo (ho appena controllato), sulla mia Feisty beta non hanno ancora aggiornato i pacchetti.

    Spero che entro domani lo facciano.

  3. @Fabio

    Ho visto ora che sul forum di Compiz c’è un topic riguardo il porting di Emerald per, appunto Compiz.
    Non l’ho ancora provato, ma se ti interressa sperimentare: http://forum.go-compiz.org/viewtopic.php?t=700

    Qualcuno mi sa invece dire se per usare il plugin Desktop Wall (invece del cubo) devo ancora compilare o è incluso in qualche package ?

  4. le novità sono tante, ma prima di fare danni voglio aspettare i repo. Ho provato a compilare e a creare il .deb ma non so se è il modo giusto.

  5. Ho provato ad installare compiz ma:

    No package ‘libpng’ found
    No package ‘xcomposite’ found
    No package ‘xfixes’ found
    No package ‘xdamage’ found
    No package ‘xrandr’ found
    No package ‘xinerama’ found
    No package ‘ice’ found
    No package ‘sm’ found
    No package ‘libstartup-notification-1.0′ found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Mi e’ gia’ capitato ma ancora essendo un principiante di linux non ho capito come risolvere il problema, quei package sono presenti in realta’ ma hanno nomi diversi per esempio:

    root@dingo:~/Desktop/compiz-0.4.0# locate xinerama
    /var/lib/dpkg/info/libxinerama1.list
    /var/lib/dpkg/info/libxinerama1.md5sums
    /var/lib/dpkg/info/libxinerama1.postinst
    /var/lib/dpkg/info/libxinerama1.postrm
    /var/lib/dpkg/info/libxinerama1.shlibs
    /usr/share/doc/libxinerama1
    /usr/share/doc/libxinerama1/changelog.Debian.gz

    cosa dovrei fare? :|

  6. Ma la 0.4 verrà inclusa in feisty? E’ un peccato che rimanga con la 0.3, anche se adesso è in freeze

  7. @micettonero
    Suppongo di sì. Se non di default, tramite aggiornamento nei loro repositori.
    Ricordiamoci inoltre che mancano ancora 12 giorni, quindi hanno tutto il tempo di farlo

  8. ho già compiz 0.2.2 …come faccio ad aggiornare?? dal repository mi dice che è già aggiornato alla versione più recente!

  9. Ma si sa se mai sarò possibile il Drag&Drop quando c’è l’effetto stile “exposè” ?

    mi spiego:

    con exposè io muovo il mouse in un angolino e tutte le finestrelle si nascondono da una parte, a questo punto prendo un file (icona) dal desktop, e con sempre il pulsantino pigiato e l’iconcina attaccata al cursore, mi muovo nuovamente nell’angolino dello schermo e le finestre tornano nella loro posizione e posso quindi rilasciare il file nella finestra.
    Oppure muovo il mouse nell’altro angolino e le finestre si dispongono una a fianco all’altra e con sempre l’oggetto del D&D incollato al puntatore mi posiziono sulla finestra a cui voglio passare l’oggetto …. e dopo pochi sendo di stazionamento sulla finestra il tutto torna alle dimensioni originali con la finestra selezionata in primo piano e a quel punto posso rilasciare il mio oggetto del D&D.

    L’ho chiamato “oggetto” perchè non sempre è un icona sul desktop, ma potrebbe essere anche un “qualche cosa” proveniente da un’altra applicazione.

    Quindi: okay i vari effetti in stile exposè, ma sarebbero utili se fosse possibile l’interazione piena col Drag&Drop …………… si sa se è in corso un lavoro del genere per il futuro ???

    ciao

  10. sono passato a feisty: felipe, aspetto una tua guida per installare compiz, caratteri “da leccare” e tutte le sciccherie che rendono ubuntu degno di essere vissuto :)

  11. Grazie mille Cimi, sapresti indicarmi una guida per edgy+xgl+compiz?
    non riesco a trovarne una…!Grazie infinite!o mi conviene aspettare Feisty?che tanto ormai manca poco…!

  12. Salve a tutti,
    io ho cercato di compilare la versione 0.5.0 ma mi dava problemi in alcune librerie quali xomposite. Googlando un pò ho risolto tali problemi installando i moduli -dev dei pacchetti necessari quali xcomposite o xfixes. Il problema è che vado a compilare Compiz 0.5.0 ma anche a fine installazione nulla cambia… qualcuno sa darmi una mano? devo prima disinstallare la 0.3 ecc.?

    Help

  13. Leggo che su ubuntu-it c’è una discussione molto accesa riguardo l’utilità del merge e sul fatto che Beryl funzionasse sempre, rispetto a compiz.

    Queste nuove versione come stanno messe a stabilità ?

  14. Ma come si fa ad aggiornare la versione di Compiz?
    Io da synaptic vedo che ho la 0.3.6……….

  15. @fabio.devoti: ma una volta in beta non si possono aggiornare i programmi se non per fix di sicurezza importanti. Al massimo possono inserirlo nei backports IMHO.

  16. Bello davvero Compiz (e Beryl)!
    Solo che dopo pochi minuti si blocca tutto il pc! Freeze totale! Devo resettare col bottone.

    Ho installato Feisty+nvidia-glx+compiz.
    Come hardware ho una MoBo Asrock Alive Sata2-glan e una GeForce 7300 LE.

    Io penso che qualcosa (forse scheda video o madre) litiga con i driver Nvidia e manda tutto in pappa,
    infatti se in xorg.conf rimetti il driver “nv” non si impalla mai.

    Se avete un consiglio o un opinione sono ben graditi!

    Grazie.

    Ciao.

  17. @anonimo
    Non penso che sia sempre così infatti ho sentito che a giorni esce Gnome 2.18.1
    E che Gnome sarà subito aggiornato.
    Comunque, se non lo includono nella release finale, sicuramente lo mettono tra i primi aggiornamenti

  18. conosci qualche gida su come riprodurre video sullo schermo secondario (o come configurare X, Xinerama, ecc..) per permettere il supporto ai video perfavore? assie

  19. salve,vorrei intanto rispondere a davide: ho passato la giornata intera a trovare ognuno di quelli, e trovati quelli te ne chiede altri e altri e altri finchè non li hai installati tutti, e li il ./config funziona. Ma poi diventa il make il problema: infatti le cartelle di quel cavolo di compiz sono tutte sballate e dà una cifra di errori…non c’è proprio modo di installarlo, per me li hanno fatti male.
    Vorrei gentilmente chiedere a felipe se ha installato il tutto e se può fare una guida
    p.s c’è un mio post su ubuntu-it, dove ho postato gli output con gli errori

  20. salve,vorrei intanto rispondere a davide: ho passato la giornata intera a trovare ognuno di quelli, e trovati quelli te ne chiede altri e altri e altri finchè non li hai installati tutti, e li il ./config funziona. Ma poi diventa il make il problema: infatti le cartelle di quel cavolo di compiz sono tutte sballate e dà una cifra di errori…non c’è proprio modo di installarlo, per me li hanno fatti male.
    Vorrei gentilmente chiedere a felipe se ha installato il tutto e se può fare una guida
    p.s c’è un mio post su ubuntu-it, dove ho postato gli output con gli errori

  21. @roccoo

    ho avuto anke io quel problema, ma ho scoperto poi che era qualche libreria dev di mesa mancante (anche se nont e lo dice)

    Sono riuscito ad arrivare a fine compilazione, ma come il vecchio compiz compilato mi dice che non trovaa AIGLX o XGL (aiglx nel mio caso). Quello di gandalfn funziona grazie ad una patch, adesso vedo se riesco a trovarla :)

  22. Qualcuno ha una GeForce 7300 LE???

    Con questa scheda non posso usare Compiz e i driver nvidia perchè
    mi si blocca tutto, freeeze totale!

    Mi dite un modello di GeForce che funziona benissimo sotto linux.

    grazie.

  23. Ho messo la 0.5 su Feisty e devo dire che va alla grande!
    Il nuovo compiz settings manager è davvero fatto bene.

  24. Ciao! Sapete dove posso trovare i pacchetti di compiz 0.4 e 0.5 per edgy?? Il repository di Gandalfn non è aggiornato…. :-(

  25. @Filippo
    Io ho la tua stessa scheda e sia Compiz che Beryl vanno alla grande.
    Ho avuto solo un piccolo problema nei giorni scorsi: dopo un aggiornamento di xorg non partiva più ne Beryl ne Compiz. Bisognava aggiornare i Driver Nvidia ma ad ogni mio tentativo X craschava.
    Alla fine con l’aiuto di un programino: Envy (http://www.albertomilone.com/nvidia_scripts1.html) ho risolto tutto.
    Provalo. Fa tutto lui!

  26. si ma sul sito di compiz sono indicati i repository di gandalfn che non sono ancora aggiornati….quindi dove si possono trovare i repository con compiz 0.4?

  27. io ho trovato un repo con compiz 0.5 ma vi avviso che una volta fatto l’upgrade da me compiz NON è più partito, ho letto altrove che dà problemi e che per farlo andare bisogna creare scripts e sbattimenti vari. Se volete provare a vostro rischio e pericolo:


    se non funziona perché lo riporti qui? :)
    https://pollycoke.wordpress.com/regole/

    felipe

    se magari riuscite a far funzionare quei pacchetti ditemi come avete fatto ;)

  28. vorrei aggiungere che una volta tornato alla 0.3.6 che sta nei repo di feisty neanche più quella parte ;-)

  29. non saprei come funziona sulle box altrui, da me non ha funzionato subito e non avendo voglia di perderci del tempo dietro ho preferito tornare alla versione precedente (che ha poi funzionato eliminando tutti i file di configurazione della 0.5) ed aspettare che venga pacchettizzato a dovere per la mia distro. Pensavo di dare un punto di riferimento a chi avesse voglia di provare ma se credi che quel repository non deva stare qui per me non è affatto un problema, figurarsi :-)

  30. Ma tutti quelli che hanno installato compiz 0.4 o 0.5 hanno compilato i sorgenti o hanno installato da pacchetto .deb? Se hanno seguito la seconda modalità, dove hanno preso i pacchetti??

  31. Bho? Io usando i repository indicati sul sito, per la versione di Feisty, compiz 0,5 va da DIO. Mai un problema. Solo, mi ha rimosso e non aggiornato i vecchi pacchetti (per intenderci quelli standard presenti nelle repository ufficiali di Feisty)

  32. Dopo l’aggiornamento via repository, Compiz non ha più funzionato. Ho provato a cancellare tutto e a compilare a mano, ma ancora niente da fare?

    @ chi non ha problemi: come avete fatto?

  33. oh no, no. :°D
    Ho visto che anche su ubuntuforums avevano segnalato quei repo ma ci hanno piazzato una scritta gigante che dice di non usarli perchè “non funzionano”. Sono riuscito a compilarlo ma non capisco perchè compiz –version continua a resistuirmi 0.3.6 ed effettivamente continuo ad avere quella versione, ho anche provato a rimuovere prima ogni traccia di compiz (infatti mi dava un errore su una directory) però ancora niente, al massimo non si avvia. Adesso sto usando la versione dei repo universe di feisty ma ho attivo anche il “motu” di gandalfn speranzoso in un aggiornamento. Prima o poi lo impacchettano, anzi, se qualcuno è riuscito a compilarlo su feisty potrebbe farsi avanti magari, sarebbe ben gradito :)

  34. @Luca
    A me Compiz e Beryl partono! solo che durano pochi minuti
    e dopo si blocca tutto! non solo X! FREEZE TOTALE!!!

    e ho il sospetto che nel mio pc ci sia qualche hardware incompatibile,
    il problme è capire quale!

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...